#!/usr/bin/env python2
'''
	file		 ipcodes.py
	author		 Tranchida Giulio, No Matricola 241732\n
				 Si dichiara che il contenuto di questo file e',
 				 in ogni sua parte, opera originale dell'autore.\n\n

	version 1.0
	copyright (C) 2011 Tranchida Giulio under GNU Public License v3.
  
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	MA  02110-1301, USA.
'''

ipcode = range(0,143)
ipcode[0]   =  ""
ipcode[1]   =  "ICMP"
ipcode[2]   =  "IGMP"
ipcode[3]   =  "GGP, Gateway to Gateway Protocol."
ipcode[4]   =  "IP in IP encapsulation."
ipcode[5]   =  "ST, Internet Stream Protocol."
ipcode[6]   =  "TCP"
ipcode[7]   =  "UCL, CBT."
ipcode[8]   =  "EGP, Exterior Gateway Protocol."
ipcode[9]   =  "IGRP, Interior Gateway Routing Protocol."
ipcode[10]  =  "BBN RCC Monitoring."
ipcode[11]  =  "NVP, Network Voice Protocol."
ipcode[12]  =  "PUP."
ipcode[13]  =  "ARGUS."
ipcode[14]  =  "EMCON, Emission Control Protocol."
ipcode[15]  =  "XNET, Cross Net Debugger."
ipcode[16]  =  "Chaos."
ipcode[17]  =  "UDP"
ipcode[18]  =  "TMux, Transport Multiplexing Protocol"
ipcode[19]  =  "DCN Measurement Subsystems"
ipcode[20]  =  "HMP, Host Monitoring Protocol"
ipcode[21]  =  "Packet Radio Measurement"
ipcode[22]  =  "XEROX NS IDP"
ipcode[23]  =  "Trunk-1"
ipcode[24]  =  "Trunk-2"	 
ipcode[25]  =  "Leaf-1" 
ipcode[26]  =  "Leaf-2"	 
ipcode[27]  =  "RDP, Reliable Data Protocol"
ipcode[28]  =  "IRTP, Internet Reliable Transaction Protocol"
ipcode[29]  =  "ISO Transport Protocol Class 4"
ipcode[30]  =  "NETBLT, Network Block Transfer"	 
ipcode[31]  =  "MFE Network Services Protocol" 
ipcode[32]  =  "MERIT Internodal Protocol"
ipcode[33]  =  "DCCP, Datagram Congestion Control Protocol"
ipcode[34]  =  "Third Party Connect Protocol"
ipcode[35]  =  "IDPR, Inter-Domain Policy Routing Protocol"
ipcode[36]  =  "XTP, Xpress Transfer Protocol"
ipcode[37]  =  "Datagram Delivery Protocol"
ipcode[38]  =  "IDPR, Control Message Transport Protocol"
ipcode[39]  =  "TP++ Transport Protocol"
ipcode[40]  =  "IL Transport Protocol" 
ipcode[41]  =  "IPv6 over IPv4"
ipcode[42]  =  "SDRP, Source Demand Routing Protocol"
ipcode[43]  =  "IPv6 Routing header"
ipcode[44]  =  "IPv6 Fragment header"
ipcode[45]  =  "IDRP, Inter-Domain Routing Protocol"
ipcode[46]  =  "RSVP, Reservation Protocol"
ipcode[47]  =  "GRE, General Routing Encapsulation"
ipcode[48]  =  "DSR, Dynamic Source Routing Protocol"
ipcode[49]  =  "BNA"
ipcode[50]  =  "ESP, Encapsulating Security Payload"
ipcode[51]  =  "AH, Authentication Header."
ipcode[52]  =  "I-NLSP, Integrated Net Layer Security TUBA."
ipcode[53]  =  "SWIPE, IP with Encryption."
ipcode[54]  =  "NARP, NBMA Address Resolution Protocol."
ipcode[55]  =  "Minimal Encapsulation Protocol."
ipcode[56]  =  "TLSP, Transport Layer Security Protocol using Kryptonet key management."
ipcode[57]  =  "SKIP."
ipcode[58]  =  "ICMPv6, Internet Control Message Protocol for IPv6."
ipcode[59]  =  "IPv6 No Next Header."
ipcode[60]  =  "IPv6 Destination Options."
ipcode[61]  =  "Any host internal protocol."
ipcode[62]  =  "CFTP."
ipcode[63]  =  "Any local network."
ipcode[64]  =  "SATNET and Backroom EXPAK."
ipcode[65]  =  "Kryptolan."
ipcode[66]  =  "MIT Remote Virtual Disk Protocol."
ipcode[67]  =  "Internet Pluribus Packet Core."
ipcode[68]  =  "Any distributed file system" 
ipcode[69]  =  "SATNET Monitoring."
ipcode[70]  =  "VISA Protocol."
ipcode[71]  =  "Internet Packet Core Utility."
ipcode[72]  =  "Computer Protocol Network Executive."
ipcode[73]  =  "Computer Protocol Heart Beat."
ipcode[74]  =  "Wang Span Network."
ipcode[75]  =  "Packet Video Protocol."
ipcode[76]  =  "Backroom SATNET Monitoring."
ipcode[77]  =  "SUN ND PROTOCOL-Temporary."
ipcode[78]  =  "WIDEBAND Monitoring."
ipcode[79]  =  "WIDEBAND EXPAK."
ipcode[80]  =  "ISO-IP."
ipcode[81]  =  "VMTP, Versatile Message Transaction Protocol."
ipcode[82]  =  "SECURE-VMTP"
ipcode[83]  =  "VINES."
ipcode[84]  =  "TTP." 
ipcode[85]  =  "NSFNET-IGP."
ipcode[86]  =  "Dissimilar Gateway Protocol."
ipcode[87]  =  "TCF."
ipcode[88]  =  "EIGRP."
ipcode[89]  =  "M/OSPF, Open Shortest Path First Routing Protocol."
ipcode[90]  =  "Sprite RPC Protocol."
ipcode[91]  =  "Locus Address Resolution Protocol."
ipcode[92]  =  "MTP, Multicast Transport Protocol." 
ipcode[93]  =  "AX.25."
ipcode[94]  =  "IP-within-IP Encapsulation Protocol."
ipcode[95]  =  "Mobile Internetworking Control Protocol."
ipcode[96]  =  "Semaphore Communications Sec. Pro."
ipcode[97]  =  "EtherIP."
ipcode[98]  =  "Encapsulation Header."
ipcode[99]  =  "Any private encryption scheme."
ipcode[100] =  "GMTP."
ipcode[101] =  "IFMP, Ipsilon Flow Management Protocol."
ipcode[102] =  "PNNI over IP."
ipcode[103] =  "PIM, Protocol Independent Multicast."
ipcode[104] =  "ARIS."
ipcode[105] =  "SCPS."
ipcode[106] =  "QNX."
ipcode[107] =  "Active Networks."
ipcode[108] =  "IPPCP, IP Payload Compression Protocol."
ipcode[109] =  "SNP, Sitara Networks Protocol."
ipcode[110] =  "Compaq Peer Protocol."
ipcode[111] =  "IPX in IP."
ipcode[112] =  "VRRP, Virtual Router Redundancy Protocol."
ipcode[113] =  "PGM, Pragmatic General Multicast."
ipcode[114] =  "any 0-hop protocol."
ipcode[115] =  "L2TP, Level 2 Tunneling Protocol."
ipcode[116] =  "DDX, D-II Data Exchange."
ipcode[117] =  "IATP, Interactive Agent Transfer Protocol."
ipcode[118] =  "ST, Schedule Transfer."
ipcode[119] =  "SRP, SpectraLink Radio Protocol."
ipcode[120] =  "UTI."
ipcode[121] =  "SMP, Simple Message Protocol."
ipcode[122] =  "SM."
ipcode[123] =  "PTP, Performance Transparency Protocol."
ipcode[124] =  "ISIS over IPv4."
ipcode[125] =  "FIRE."
ipcode[126] =  "CRTP, Combat Radio Transport Protocol."
ipcode[127] =  "CRUDP, Combat Radio User Datagram."
ipcode[128] =  "SSCOPMCE."
ipcode[129] =  "IPLT."
ipcode[130] =  "SPS, Secure Packet Shield."
ipcode[131] =  "PIPE, Private IP Encapsulation within IP." 
ipcode[132] =  "SCTP, Stream Control Transmission Protocol."
ipcode[133] =  "Fibre Channel."
ipcode[134] =  "RSVP-E2E-IGNORE."
ipcode[135] =  "Mobility Header."
ipcode[136] =  "UDP-Lite, Lightweight User Datagram Protocol."
ipcode[137] =  "MPLS in IP."
ipcode[138] =  "MANET protocols."
ipcode[139] =  "HIP, Host Identity Protocol."
ipcode[140] =  "Shim6, Level 3 Multihoming Shim Protocol for IPv6."
ipcode[141] =  "WESP, Wrapped Encapsulating Security Payload."
ipcode[142] =  "ROHC, RObust Header Compression."

